# dkim_add_xtag()

[back to index]

SYNOPSIS

    #include <dkim.h>
    DKIM_STAT dkim_add_xtag(
    	DKIM *dkim,
            const char *tag,
            const char *value);
    );

Requests that the named tag and value be added to the signature header field when it gets generated by `dkim_getsighdr()`.

DESCRIPTION

Called When | `dkim_add_xtag()` can be called at any time prior to calling `dkim_eom()`.

ARGUMENTS

Argument | Description
--- | ---
dkim | Message-specific signing handle, returned by `dkim_sign()`.
tag | A pointer to a null-terminated string that specifies the tag name to be added to the signature. This must not be a tag that is already supported by the library, as those are generated automatically. It must also meet the syntax rules of RFC6376 Section 3.2.
value | A pointer to a null-terminated string that specifies the tag value to be added to the signature. It must meet the syntax rules of RFC6376 Section 3.2.

RETURN VALUES

- DKIM_STAT_OK -- success
- DKIM_STAT_INVALID -- `dkim` referred to a verifying header rather than a signing header, or one of the provided values contained a syntax error, or the tag named is one already supported by the library, or the named tag has already been added to the signature
- DKIM_STAT_NORESOURCE -- out of memory
- DKIM_STAT_NOTIMPLEMENT -- feature is not implemented for this installation

NOTES

- It is legal to include whitespace in values according to RFC6376 Section 3.2. However, this will interefere with the automatic wrapping and formatting of the signature performed by the library. A mechanism to indicate valid line break points will be included in a future release.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2011, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.